Name:           tcltls
Version:        1.5.0
Release:        11%{?dist}
Summary:        OpenSSL extension for Tcl

Group:          Development/Libraries
License:        BSD
URL:            http://tls.sourceforge.net/
Source0:        http://dl.sourceforge.net/tls/tls%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel, tcl-devel
Patch1: tcltls-configurein.pkgname.patch
Patch2: tcltls-1.5-rpmoptflags.patch
Patch3: tcltls-1.5-64bit.patch
Patch4: tcltls-makefilein-soname.patch
Patch5: tcltls-tclm4-soname.patch
Patch6: tcltls-1.5-relpath.patch
Patch7: tcltls-1.5-pkgindex-version.patch
Patch8: tcltls-1.5-ciphertest-KRB5.patch

%description
A TLS OpenSSL extension for Tcl

%package devel
Group:          Development/Libraries
Summary:        Header files for the OpenSSL extension for Tcl
Requires:       %{name} = %{version}-%{release}

%description devel
The TLS OpenSSL extension to Tcl

This package contains the development files for tls.


%prep
%setup -n tls1.5 -q

%patch1 -p1 -b .1-pkgname
%patch2 -p1 -b .2-rpmoptflags
%patch3 -p1 -b .3-64bit
%patch4 -p1 -b .4-soname
%patch5 -p1 -b .5-soname
%patch6 -p1 -b .6-relpath
%patch7 -p1 -b .7-pkgindex-version
%patch8 -p1 -b .8-ciphertest

%build
%configure --with-ssl-dir=%{_prefix}
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=${RPM_BUILD_ROOT}%{_libdir} includedir=${RPM_BUILD_ROOT}%{_includedir}
#1.50 vs 1.5.0
mv $RPM_BUILD_ROOT/%{_libdir}/tls1.50 $RPM_BUILD_ROOT/%{_libdir}/tls%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libtls-1.50.so $RPM_BUILD_ROOT/%{_libdir}/tls%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt ChangeLog license.terms
%{_libdir}/tls%{version}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/tls.h

%changelog
* Tue Aug 29 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-11
- FE6 Mass Rebuild

* Fri May 26 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-10
- reverted name change to tcltls

* Fri May 26 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-9
- in reply to comment #39 from bug #186327 (review by wart)
- changed name from tcltls to tcl-tls
- changed lib dir from tls1.50 to tls1.5.0
- changed summary
- removed some commented lines
- use macro in configure instead of hardcoded /usr
- changed group
- removed inhereted tags in devel package

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-8
- Source0 dl.sf.net instead of download.sf.net

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-7
- source tarball has same md5sum as upstream now

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-6
- added make test
- no more enable-symbols

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-5
patches from Wart (wart@kobold.org):
- Patch1: tcltls-configurein.pkgname.patch
- Patch2: tcltls-1.5-rpmoptflags.patch
- Patch3: tcltls-1.5-64bit.patch
Moved libtls out of /usr/lib into subdir

* Tue Mar 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-4

* Tue Mar 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-3

* Thu Mar 23 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-2
- invalid-soname fixed
- docs added (including license)
- devel package has %defattr now

* Tue Mar 21 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-1
- created
